> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/use-cases/extraction-models/payslip.md).

# Payslip

Documentation for the data schema of the Payslip model template.

## Payslip Fields

Documentation for all fields present in the data schema.

Field *accessors* are used as the keys for accessing the values in the returned data. On the data schema interface, this is the "Field Name".

Field *value types* indicate how the value is returned by the API. On the data schema interface, this is the "Field Type".

<details>

<summary>First Name</summary>

Employee's first name

Accessor: `first_name`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Last Name</summary>

Employee's last name

Accessor: `last_name`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Employee Address</summary>

Employee's address

Accessor: `employee_address`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Pay Period Start Date</summary>

Start date of the pay period

Accessor: `pay_period_start_date`\
Value Type: `date`

Has a single value.

</details>

<details>

<summary>Pay Period End Date</summary>

End date of the pay period

Accessor: `pay_period_end_date`\
Value Type: `date`

Has a single value.

</details>

<details>

<summary>Gross Pay</summary>

Gross pay amount

Accessor: `gross_pay`\
Value Type: `number`

Has a single value.

</details>

<details>

<summary>Net Pay</summary>

Net pay amount

Accessor: `net_pay`\
Value Type: `number`

Has a single value.

</details>

<details>

<summary>Deductions</summary>

List of deductions

Accessor: `deductions`

**Subfields**

* **Name**\
  Name of the deduction\
  Accessor: `name`\
  Value Type: `string`
* **Amount**\
  Amount of the deduction\
  Accessor: `amount`\
  Value Type: `number`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Taxes</summary>

List of taxes

Accessor: `taxes`

**Subfields**

* **Name**\
  Name of the tax\
  Accessor: `name`\
  Value Type: `string`
* **Amount**\
  Amount of the tax\
  Accessor: `amount`\
  Value Type: `number`

Can have multiple values (is a list/array).

</details>

<details>

<summary>Employer Name</summary>

Name of the employer

Accessor: `employer_name`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Employer Address</summary>

Address of the employer

Accessor: `employer_address`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Social Security Number</summary>

Employee's Social Security Number

Accessor: `social_security_number`\
Value Type: `string`

Has a single value.

</details>

<details>

<summary>Employee ID</summary>

Employee's ID

Accessor: `employee_id`\
Value Type: `string`

Has a single value.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/use-cases/extraction-models/payslip.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
